Bug 148884 - CAN-2005-0446 Squid DoS from bad DNS response
CAN-2005-0446 Squid DoS from bad DNS response
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: squid (Show other bugs)
3
All Linux
medium Severity high
: ---
: ---
Assigned To: Jay Fenlason
impact=important,public=20050213
: Security
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-02-16 11:10 EST by Josh Bressers
Modified: 2014-08-31 19:27 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-02-23 10:47:16 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Josh Bressers 2005-02-16 11:10:39 EST
*** This bug has been split off bug 148882 ***

------- Original comment by Josh Bressers (Security Response Team) on 2005.02.16
10:58 -------

Squid 2.5.STABLE8 and earlier allows remote attackers to cause a denial of
service (crash) via certain DNS responses regarding (1) Fully Qualified Domain
Names (FQDN) in fqdncache.c or (2) IP addresses in ipcache.c, which trigger an
assertion failure.

http://secunia.com/advisories/14271
http://www.squid-cache.org/Versions/v2/2.5/bugs/#squid-2.5.STABLE8-dns_assert
Comment 1 Josh Bressers 2005-02-16 11:11:47 EST
This issue should also affect FC2
Comment 2 Josh Bressers 2005-02-23 10:47:16 EST
Released as:
FC2 -> 2005-153 2005-02-22
FC3 -> 2005-154 2005-02-22

Note You need to log in before you can comment on or make changes to this bug.